Platform.VirtualFileSystem 1.2.0.120-rc1

This is a prerelease version of Platform.VirtualFileSystem.
There is a newer version of this package available.
See the version list below for details.
dotnet add package Platform.VirtualFileSystem --version 1.2.0.120-rc1
NuGet\Install-Package Platform.VirtualFileSystem -Version 1.2.0.120-rc1
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="Platform.VirtualFileSystem" Version="1.2.0.120-rc1" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add Platform.VirtualFileSystem --version 1.2.0.120-rc1
#r "nuget: Platform.VirtualFileSystem, 1.2.0.120-rc1"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install Platform.VirtualFileSystem as a Cake Addin
#addin nuget:?package=Platform.VirtualFileSystem&version=1.2.0.120-rc1&prerelease

// Install Platform.VirtualFileSystem as a Cake Tool
#tool nuget:?package=Platform.VirtualFileSystem&version=1.2.0.120-rc1&prerelease

Platform.VirtualFileSystem is a powerful .NET library that provides a uniform and cross-platform abstraction layer for file systems. It is similar to VFS features of various operating systems like Linux except it all runs in managed code.
   You can use one common API for accessing files from various sources (local, http, zip etc) as well as create user-defined file systems using views and overlays.
   
   Find out more at: https://github.com/platformdotnet/Platform.VirtualFileSystem

Product Compatible and additional computed target framework versions.
.NET Framework net452 is compatible.  net46 was computed.  net461 was computed.  net462 was computed.  net463 was computed.  net47 was computed.  net471 was computed.  net472 was computed.  net48 was computed.  net481 was computed. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.

NuGet packages (4)

Showing the top 4 NuGet packages that depend on Platform.VirtualFileSystem:

Package Downloads
Fickle

A library for generating web service SDKs for Objective-C, Java and Javascript

Fickle.WebApi

Adds a Ficklefile controller that enables Ficklefile generation for your WebApi project

Platform.VirtualFileSystem.Providers.Zip

Adds zip scheme/file support to Platform.VirtualFileSystem. Platform.VirtualFileSystem is a powerful .NET library that provides a uniform and cross-platform abstraction layer for file systems. It is similar to VFS features of various operating systems like Linux except it all runs in managed code. You can use one common API for accessing files from various sources (local, http, zip etc) as well as create user-defined file systems using views and overlays. Find out more at: https://github.com/platformdotnet/Platform.VirtualFileSystem

Platform.VirtualFileSystem.DataFile

Adds support for super simple persistence of objects as XML files to Platform.VirtualFileSystem. Platform.VirtualFileSystem is a powerful .NET library that provides a uniform and cross-platform abstraction layer for file systems. Find out more at: https://github.com/platformdotnet/Platform.VirtualFileSystem

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
1.2.1.124 5,645 2/6/2016
1.2.1.122 8,623 2/6/2016
1.2.0.120-rc1 1,143 12/6/2015
1.2.0.116-rc1 1,077 12/6/2015
1.1.0.109 2,489 7/4/2015
1.1.0.102 35,931 11/15/2014
1.1.0.101 1,809 11/15/2014
1.0.0.87 2,156 11/7/2014
1.0.0.79 1,206 10/9/2014
1.0.0.76 1,230 9/11/2014
1.0.0.70 1,215 7/9/2014
1.0.0.68 1,269 6/23/2014
1.0.0.59 1,338 1/12/2014
1.0.0.54 1,194 1/9/2014
1.0.0.53 1,185 1/9/2014
1.0.0.52 1,144 1/9/2014
1.0.0.46 1,431 5/26/2013
1.0.0.45 1,305 5/26/2013
1.0.0.42 1,324 5/7/2013
1.0.0.40 1,330 5/6/2013
1.0.0.37 1,309 5/6/2013
1.0.0.34 1,257 5/3/2013
1.0.0.33 1,344 5/3/2013
1.0.0.32 5,525 5/3/2013

Now requires .NET 4.52